Package org.eclipse.jface.text

# Class AbstractLineTracker.Request

java.lang.Object
org.eclipse.jface.text.AbstractLineTracker.Request

Enclosing class:
  `AbstractLineTracker`

protected static class AbstractLineTracker.Request extends Object
Representation of replace and set requests.

Since:
  3.1

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`length`
`final int`
`offset`
`final String`
`text`

## Constructor Summary

Constructors
Constructor
Description
`Request(int offset, int length, String text)`
`Request(String text)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReplaceRequest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### offset

public final int offset

### length

public final int length

### text

public final String text

## Constructor Details

### Request

public Request(int offset, int length, String text)

### Request

public Request(String text)

## Method Details

### isReplaceRequest

public boolean isReplaceRequest()